<div class="container mt-2">
  <div class="row">
    <section class="col-3">
      <ng-container *ngIf="productTypes && productBrands">
        <h5 class="text-warning ml-3 mt-4 mb-2">Sort</h5>
        <select
          class="custom-select mb-3"
          (change)="onSortSelected($event.target.value)"
        >
          <option *ngFor="let sort of sortOptions" [value]="sort.value">{{
            sort.name
          }}</option>
        </select>
        <h5 class="text-warning ml-3">Brands</h5>
        <ul class="list-group my-3">
          <li
            class="list-group-item"
            *ngFor="let productBrand of productBrands"
            [class.active]="productBrand.id === shopParams.brandId"
            [value]="productBrand.id"
            (click)="onBrandSelected(productBrand.id)"
          >
            {{ productBrand.name }}
          </li>
        </ul>
        <h5 class="text-warning ml-3">Types</h5>
        <ul class="list-group my-3">
          <li
            class="list-group-item"
            *ngFor="let productType of productTypes"
            [class.active]="productType.id === shopParams.typeId"
            [value]="productType.id"
            (click)="onTypeSelected(productType.id)"
          >
            {{ productType.name }}
          </li>
        </ul>
      </ng-container>
    </section>

    <section class="col-9">
      <div class="d-flex justify-content-between align-items-center pb-2">
        <app-paging-header
          [pageNumber]="shopParams.pageNumber"
          [pageSize]="shopParams.pageSize"
          [totalCount]="totalCount"
        ></app-paging-header>
        <div class="form-inline mt-2" *ngIf="products">
          <input
            #search
            type="text"
            class="form-control"
            style="width: 300px;"
            placeholder="Search"
            (keyup.enter)="onSearch()"
          />
          <button
            class="btn btn-outline-primary ml-2 my-2"
            (click)="onSearch()"
          >
            Search
          </button>
          <button class="btn btn-outline-success ml-2 my-2" (click)="onReset()">
            Reset
          </button>
        </div>
      </div>

      <div class="row">
        <div class="col-4 mb-4" *ngFor="let product of products">
          <app-product-item [product]="product"></app-product-item>
        </div>
      </div>
      <div class="d-flex justify-content-center" *ngIf="totalCount > 0">
        <app-pager
          [pageSize]="shopParams.pageSize"
          [totalCount]="totalCount"
          (pageChanged)="onPageChanged($event)"
        ></app-pager>
      </div>
    </section>
  </div>
</div>
